html {
  background: #0b0d0f;
  -ms-touch-action: none;
}

html,
body {
  width: 100%;
  height: 100%;
}

body,
canvas,
div,
main {
  display: block;
  outline: none;
  -webkit-tap-highlight-color: transparent;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

body {
  position: fixed;
  inset: 0;
  padding: 0;
  border: 0;
  margin: 0;
  overflow: hidden;
  background: #0b0d0f;
  color: #888;
  font-family: Helvetica, Verdana, Arial, sans-serif;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

#game-shell {
  position: relative;
  width: 100%;
  max-width: 56.22vh;
  height: 100%;
  overflow: hidden;
  background: #171717;
}

#Cocos2dGameContainer {
  position: absolute;
  inset: 0;
  margin: 0;
  display: -webkit-box;
  -webkit-box-orient: horizontal;
  -webkit-box-align: center;
  -webkit-box-pack: center;
}

canvas {
  background: transparent;
}

#splash {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  background: #171717 url(./splash.png) no-repeat center;
  background-size: 45%;
}

.progress-bar {
  position: absolute;
  left: 27.5%;
  top: 80%;
  width: 45%;
  height: 3px;
  padding: 2px;
  border-radius: 7px;
  box-shadow: 0 1px 5px #000 inset, 0 1px 0 #444;
}

.progress-bar span {
  display: block;
  height: 100%;
  border-radius: 3px;
  background-color: #3dc5de;
  background-size: 30px 30px;
  background-image: linear-gradient(135deg, rgba(255, 255, 255, .15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
  transition: width .4s ease-in-out;
  animation: animate-stripes 1s linear infinite;
}

@keyframes animate-stripes {
  from { background-position: 0 0; }
  to { background-position: 60px 0; }
}
